Summary:	Extensible Binary Meta Language access library
Summary(pl.UTF-8):	Biblioteka dostępu rozszerzalnego metajęzyka binarnego
Name:		libmatroska
Version:	1.4.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.bz2
# Source0-md5:	f61b2e5086f4bb9d24a43cc8af43a719
Patch0:		%{name}-makefile.patch
URL:		http://www.matroska.org/
BuildRequires:	libebml-devel >= 1.3.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.566
#BuildRequires:	sed >= 4.0
Requires:	libebml >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska is an extensible open standard Audio/Video container format,
aiming to become the standard of Multimedia Container Formats one day.
It is based on EBML (Extensible Binary Meta Language), a kind of
binary version of XML. This way the significant advantages in terms of
future format extensibility are gained without breaking file support
in old parsers.

%description -l pl.UTF-8
Matroska to rozszerzalny otwarty format kodowania dźwięku i obrazu,
dążący do stania się pewnego dnia standardem formatów zawierających
multimedia. Jest on oparty na EBML (rozszerzalnym metajęzyku
binarnym), binarnym odpowiedniku XML-a. W ten sposób ma on przewagę
nad innymi formatami pod względem przyszłej rozszerzalności przy
jednoczesnym zachowaniu kompatybilności wstecz.

%package devel
Summary:	Header files for matroska library
Summary(pl.UTF-8):	Nagłówki dla biblioteki matroska
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libebml-devel >= 1.3.0
Requires:	libstdc++-devel

%description devel
Header files for matroska library.

%description devel -l pl.UTF-8
Nagłówki dla biblioteki matroska.

%package static
Summary:	Static version of matroska library
Summary(pl.UTF-8):	Statyczna wersja biblioteki matroska
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of matroska library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki matroska.

%prep
%setup -q
%undos make/linux/Makefile
%patch0 -p1

%build
%{__make} -C make/linux \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	DEBUGFLAGS="%{rpmcflags} %{?debug:-DDEBUG}" \
	LDFLAGS="%{rpmldflags}" \
	LIBEBML_INCLUDE_DIR="%{_includedir}/ebml"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C make/linux install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# prepare docs (with working hyperlinks)
#install -d doc
#cp --parents src/api/index.html src/api/c/index.html doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libmatroska.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatroska.so.6

%files devel
%defattr(644,root,root,755)
##%doc doc/src/api/*
%attr(755,root,root) %{_libdir}/libmatroska.so
%{_libdir}/libmatroska.la
%{_includedir}/matroska

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatroska.a
%changelog
* Sat Sep 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatroska.git;a=log;h=master

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 140185c
- updated to 1.4.1
- updated makefile patch

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 88f9d6f
- release 2 (by relup.sh)

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 92b664b
- updated to 1.4.0 (note: new soname)
- updated makefile patch

* Mon Sep 26 2011 Jakub Bogusz <qboosh@pld-linux.org> d25a61e
- updated to 1.3.0 (note: new soname)
- updated makefile patch

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> e480553
- updated to 1.2.0 (note: new soname)
- updated makefile patch

* Mon Jan 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 7b9ae7a
- updated to 1.1.0 (new soname)
- updated makefile patch

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> 88b0704
- up to 1.0.0, new soname (versioned deps solved via sonames as well)

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> 04b1d22
- package ghost soname symlink

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> 7a27e1a
- allow CC with spaces (ccache)

* Sat Feb 17 2007 Jakub Bogusz <qboosh@pld-linux.org> f985eba
- updated to 0.8.1, updated makefile patch

* Sat Feb 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 6b3c9be
- updated for 0.8.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c898b1e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6ab1e4e
- converted to UTF-8

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> c7b0e70
- updated to 0.8.0
- removed obsolete version_define patch - default matroska version is 2 now

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> f99d130
- obsolete; default matroska version is 2 now

* Sun Jun 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 173c26e
- updated to 0.7.7, updated makefile patch

* Sun Jun 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 127ac95
- updated for 0.7.7

* Sat Apr 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 729851d
- updated to 0.7.6, updated makefile patch

* Sat Apr 23 2005 Jakub Bogusz <qboosh@pld-linux.org> eb78eec
- updated for 0.7.6

* Sun Feb 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7622579
- updated to 0.7.5, updated makefile patch

